tigase.server

## Enum Command.DataType

- java.lang.Object
- - java.lang.Enum<Command.DataType>
  - - tigase.server.Command.DataType

- All Implemented Interfaces:
    Serializable, Comparable<Command.DataType>
  Enclosing class:
    Command

      public static enum Command.DataType
      extends Enum<Command.DataType>

  Data form-types as defined in the XEP-0050.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `form` This is a form querying for more data from the user.
    `result` This is a form with ad-hoc command result data.
    `submit` Form filled with data sent as a response to 'form' request.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command.DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Command.DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### result

          public static final Command.DataType result

      This is a form with ad-hoc command result data.

    - #### form

          public static final Command.DataType form

      This is a form querying for more data from the user.

    - #### submit

          public static final Command.DataType submit

      Form filled with data sent as a response to 'form' request.

  - ### Method Detail

    - #### values

          public static Command.DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Command.DataType c : Command.DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Command.DataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.